cdac.medinfo.ccd.narrativeblock

## Class StrucDocList

- java.lang.Object
- - cdac.medinfo.ccd.narrativeblock.StrucDocList

- All Implemented Interfaces:
    java.io.Serializable

      public class StrucDocList
      extends java.lang.Object
      implements java.io.Serializable

  Java class for StrucDoc.List complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="StrucDoc.List">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="caption" type="{urn:hl7-org:v3}StrucDoc.Caption" minOccurs="0"/>
               <element name="item" type="{urn:hl7-org:v3}StrucDoc.Item" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="ID" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="language" type="{http://www.w3.org/2001/XMLSchema}NMTOKEN" />
             <attribute name="styleCode" type="{http://www.w3.org/2001/XMLSchema}NMTOKENS" />
             <attribute name="listType" default="unordered">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}NMTOKEN">
                   <enumeration value="ordered"/>
                   <enumeration value="unordered"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrucDocList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StrucDocCaption` | `getCaption()` Gets the value of the caption property.
    `java.lang.String` | `getID()` Gets the value of the id property.
    `java.util.List<StrucDocItem>` | `getItem()` Gets the value of the item property.
    `java.lang.String` | `getLanguage()` Gets the value of the language property.
    `java.lang.String` | `getListType()` Gets the value of the listType property.
    `java.util.List<java.lang.String>` | `getStyleCode()` Gets the value of the styleCode property.
    `void` | `setCaption(StrucDocCaption value)` Sets the value of the caption property.
    `void` | `setID(java.lang.String value)` Sets the value of the id property.
    `void` | `setLanguage(java.lang.String value)` Sets the value of the language property.
    `void` | `setListType(java.lang.String value)` Sets the value of the listType property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrucDocList

          public StrucDocList()

  - ### Method Detail

    - #### getCaption

          public StrucDocCaption getCaption()

      Gets the value of the caption property.
      Returns:
        possible object is `StrucDocCaption`

    - #### setCaption

          public void setCaption(StrucDocCaption value)

      Sets the value of the caption property.
      Parameters:
        `value` - allowed object is `StrucDocCaption`

    - #### getItem

          public java.util.List<StrucDocItem> getItem()

      Gets the value of the item property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the item property.

      For example, to add a new item, do as follows:

              getItem().add(newItem);

      Objects of the following type(s) are allowed in the list `StrucDocItem`

    - #### getID

          public java.lang.String getID()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setID

          public void setID(java.lang.String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the value of the language property.
      Returns:
        possible object is `String`

    - #### setLanguage

          public void setLanguage(java.lang.String value)

      Sets the value of the language property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStyleCode

          public java.util.List<java.lang.String> getStyleCode()

      Gets the value of the styleCode property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the styleCode property.

      For example, to add a new item, do as follows:

              getStyleCode().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getListType

          public java.lang.String getListType()

      Gets the value of the listType property.
      Returns:
        possible object is `String`

    - #### setListType

          public void setListType(java.lang.String value)

      Sets the value of the listType property.
      Parameters:
        `value` - allowed object is `String`